:root { /*mp = mobile panel*/
   --w-mp: calc(100vw - 120px);
   --minw-mp: 260px;
   --maxw-mp: 400px;
   --h-mp: calc(100vh - 130px);
   --h-mp-admin: calc(var(--h-mp) + 40px);
   --from-top: 122px;
   --padd-mp: 0 24px 8px 24px;
}
@media (min-width:1000px) and (max-width:1250px) {
   #top .mobile-search {
      display: block;
      order: 5;
      align-self: center;
   }
   #header-outer.side-widget-open #top .mobile-search {
      display: none;
   }
   #search-outer #search form .invio {
      width: 200px;
   }
}

@media(max-width:999px) {
   body.menu-unico .mobile-search {
      display: none !important;
   }
   /*search*/
   body.menu-unico #header-outer.side-widget-open + #search-outer {
      position: fixed !important;
      display: block !important;
      transform: none !important;
      /*padding-left: 24px;
      padding-right: 24px;*/
      opacity: 1 !important;
      top: 70px !important;
      right: 0;
      left: inherit;
      background: transparent !important;
      width: var(--w-mp);
      min-width: var(--minw-mp);
      height: 40px !important;
      max-width: var(--maxw-mp);
   }
   body.menu-unico #header-outer.side-widget-open + #search-outer #search {
      width: calc(100% - 40px) !important;
      height: 40px !important;
      left: 24px;
      transform: translateY(-50%) !important;
   }
   body.menu-unico #header-outer.side-widget-open + #search-outer .container {
      position: relative !important;
      height: 100% !important;
   }
   body.menu-unico #header-outer.side-widget-open + #search-outer #search-box {
      top: 0px;
      height: 38px; 
      transform: none !important;
   }
   body.menu-unico #header-outer.side-widget-open + #search-outer #search-box .span_12 {
      margin-bottom:0;
      height: 100%;
   }
   body.menu-unico #header-outer.side-widget-open + #search-outer #search-box form {
      opacity: 1 !important;
      height: 100%;
      margin:0;
   }
   body.menu-unico #header-outer.side-widget-open + #search-outer #search-box form .invio {
      display: none !important;
   }
   body.menu-unico #header-outer.side-widget-open + #search-outer #search-box .icon-eu-magnifer {
      height: 38px;
      line-height: 38px;
   }
   
   /*nascondo voci topbar*/
   body #header-outer #top nav > ul li.hide-menu-mobile {
      display: none !important;
   }
}
@media(max-width:1250px) {
   /*search in mobile menu*/
   body.menu-unico #header-outer #top nav > ul.buttons #search-btn {
      display: none !important;
   }
   
   /*pointer events*/
   body[data-hhun="1"].menu-unico #header-outer.detached.scrolling.invisible {
      pointer-events: all !important;
   }
   /*Menu*/
   body.menu-unico #header-outer #top nav {
      display: block !important;
      position: fixed;
      top: 0 !important;
      right: -100%;
      height: 100vh !important;
      width: var(--w-mp);
      max-width: var(--maxw-mp);
      min-width: var(--minw-mp);
      transition: all 0.25s ease-out;
      background-color: #fff;
      padding: var(--padd-mp);
   }
   body.menu-unico #header-outer #top nav.nav-attiva {
      right: 0;
      z-index: 3;
   }
   body.menu-unico #header-outer #top nav > ul {
      position: relative;
      display: block !important;
      /*height: var(--h-mp);*/
      width: 100%;
      padding: 0;
      /*left: 2.5%;*/
      top: var(--from-top);
      margin: 0 !important;
      float: left;
   }
   /* LI primo livello*/
   body.menu-unico #header-outer #top nav > ul li {
      display: block !important;
      position: relative !important;
      width: 100%;
      padding: 0;
      background-color: #fff;
      visibility: visible !important;
      pointer-events: all !important;
   }
   body.menu-unico #header-outer #top nav > ul li > .sf-with-ul, body.menu-unico #header-outer #top nav > ul li > a {
      padding: 8px 0 !important;
      text-align: left;
      position: relative;
      display: flex;
      align-items: center;
      cursor: pointer;
   }
   body.menu-unico #header-outer #top nav > ul li.menu-item-has-children > .sf-with-ul {
      width: calc(100% - 33px);
   }
   body.menu-unico #header-outer #top nav > ul li > .sf-with-ul > .menu-title-text, body.menu-unico #header-outer #top nav > ul li > a > .menu-title-text {
      width: 100%;
      color: var(--main-font-color) !important;
      font-style: normal;
      font-size: 14px;
      font-weight: 600;
      display: flex;
      align-items: center;
      line-height: normal;
   }
   /*body.menu-unico #header-outer #top nav > ul li.current-menu-item > .sf-with-ul > .menu-title-text {
      color: var(--nectar-extra-color-1) !important;
   }*/
   body.menu-unico #header-outer #top nav > ul .sf-sub-indicator {
      display: none !important;
   }
   /*body.menu-unico #header-outer #top nav > ul  .apri-menu {
      background-color: red;
   }*/
   body.menu-unico #header-outer #top nav > ul li > i {
      width: 40px;
      height: 100%;
      line-height: 2;
      text-align: right;
      font-size: 20px;
      position: absolute;
      right: -7px;
      top: 0;
      cursor: pointer;
   }
   /*SUBMENU*/
   body.menu-unico ul.sub-menu span.sezione-menu {
      display: block !important;
      width: 100%;
      text-align: left;
      color: #2A2C2E;
      font-size: 20px;
      font-weight: 600;
      line-height: 28px; /* 140% */
      letter-spacing: -0.3px;
      margin-top: 8px;
      margin-bottom: 8px;
      position:relative;
   }
   body.menu-unico ul.sub-menu span.sezione-pre-menu {
      display: flex !important;
      align-items: center;
      width: 100%;
      text-align: left;
      color: #54585B;
      font-size: 14px;
      font-style: normal;
      font-weight: 600;
      line-height: normal;
      height: 24px;
      cursor: pointer;
      padding-top: 8px;
      padding-bottom: 8px;
      position:relative;
   }
   body.menu-unico ul.sub-menu span.sezione-pre-menu .torna-indietro {
      margin-right: 8px;
      font-size: 20px;
   }
   body.menu-unico #header-outer #top nav > ul ul.sub-menu {
      display: block !important;
      transform: none;
      transition: all 0.25s ease-out;
      position: fixed !important;
      right: -130%;
      left: inherit !important;
      top: var(--from-top) !important;
      width: calc(var(--w-mp) - 15px) !important;
      max-width: calc(var(--maxw-mp) - 15px);
      min-width: calc(var(--minw-mp) - 15px);
      height: var(--h-mp) !important;
      min-height: 150px;
      max-height: calc(100vh - var(--from-top));
      background-color: #fff !important;
      padding: var(--padd-mp) !important;
      overflow-y: auto;
      border-radius: 0;
      border: none;
      box-shadow: 0 150px #fff;
      margin: 0 !important;
   }
   body.menu-unico #header-outer #top nav ul.sub-menu.sub-aperto {
      right: 15px !important;
   }
   body.menu-unico #header-outer #top nav.nav-attiva + .over-nav {
      content: "";
      display: block;
      width: 100%;
      height: 100vh;
      position: fixed;
      /*background: rgb(0 0 0 / 10%);*/
      background: linear-gradient(180deg, #A9B1B6 0%, rgba(229, 235, 239, 0.00) 100%), rgba(255, 255, 255, 0.30);
      backdrop-filter: blur(20px);
      z-index: 0;
      right: 0;
      top: 0;
   }
   body.menu-unico #header-outer #top nav.nav-attiva::after {
      content: "";
      display: block;
      width: var(--w-mp) !important;
      min-width: var(--minw-mp) !important;
      height: 100vh;
      position: absolute;
      background: #fff;
      z-index: -1;
      right: 0;
      top: 0;
      max-width: var(--maxw-mp);
   }
   body.menu-unico #header-outer.side-widget-open #header-secondary-outer {
      display: none !important;
   }
   body.menu-unico #header-outer.side-widget-open {
      padding: 0 !important;
   }
   
   
   /*nav secondaria*/
   body.menu-unico #header-outer #top nav > ul.buttons .secondary-header-items {
      float: left;
      width: 100%;
      padding: 8px 0;
      margin: 16px 0 16px;
      border-top: 1px solid #E5EBEF;
      border-bottom: 1px solid #E5EBEF;
      pointer-events: all;
      position: relative;
      left: unset;
      top: unset;
   }
   body.menu-unico #header-outer #top nav > ul.buttons .secondary-header-items li .menu-title-text {
      color: #000;
      font-size: 14px;
      font-style: normal;
      font-weight: 600;
      line-height: normal;
   }
   body.menu-unico #header-outer #top nav > ul.buttons .secondary-header-items li i {
      color: #54585B;
   }
   body.menu-unico .buttons.sf-menu .widget_trz_widget_btn {
      width: 100%;
      float: left;
      margin-bottom: 16px;
   }
   /*menu banner*/
   body.menu-unico .menu-item .banner-cta {
      flex-direction: column;
      text-align: center;
   }
   body.menu-unico .menu-item .banner-cta .cta-mex {
      flex-direction: column;
      text-align: center;
      gap: 24px;
      padding-right: 0;
      margin-bottom: 24px;
   }
   body.menu-unico .menu-item .banner-cta .cta-titolo {
      font-size: 16px;
      font-style: normal;
      font-weight: 600;
      line-height: 24px; /* 150% */
      letter-spacing: -0.192px;
   }
   body.menu-unico .menu-item .banner-cta .cta-btns a {
      min-width: 100%;
      padding: 0 !important;
   }
   /*GLi z-index*/
   /*i menu*/
   body.menu-unico #header-outer #top nav > ul {
      z-index: 5;
   }
   body.menu-unico #header-outer #top nav > ul.buttons {
      z-index: 0;
   }
   /*primo livello*/
   body.menu-unico #header-outer #top nav > ul > li {
      z-index: 15;
   }
   body.menu-unico #header-outer #top nav > ul > li > ul.sub-menu {
      z-index: 20;
   }
   /*secondo livello*/
   body.menu-unico #header-outer #top nav > ul > li > ul.sub-menu > li,
   body.menu-unico #header-outer #top nav > ul > li > ul.sub-menu > span {
      z-index: 25;
   }
   body.menu-unico #header-outer #top nav > ul > li > ul.sub-menu > li > ul.sub-menu {
      z-index: 30;
   }
   /*li attivi primo*/
   body.menu-unico #header-outer #top nav > ul > li.par-attivo {
      z-index: 50;
   }
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > * {
      z-index: 51;
   }
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul {
      z-index: 55;
   }
   /*li attivi secondo*/
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > li.par-attivo,
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > span {
      z-index: 60;
   }
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > li.par-attivo > * {
      z-index: 61;
   }
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > li.par-attivo > ul {
      z-index: 65;
   }

   /*li attivi terzo
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > li.par-attivo > ul.sub-menu > li.par-attivo,
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > li.par-attivo > ul.sub-menu > span {
      z-index: 70;
   }
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > li.par-attivo > ul.sub-menu > li.par-attivo > * {
      z-index: 71;
   }
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > li.par-attivo > ul.sub-menu > li.par-attivo > ul {
      z-index: 75;
   }*/
   /*stile scrollbar*/
   body.menu-unico #header-outer #top nav > ul ul.sub-menu::-webkit-scrollbar {
      width: 4px; 
   }
   /* the progress bar of the scrollbar. */
   body.menu-unico #header-outer #top nav > ul ul.sub-menu::-webkit-scrollbar-track {
      background: #E5EBEF;
      border-radius: 10px;
      /*border-right:2px solid #fff;
       border-left:2px solid #fff;*/
   }
   /* the draggable scrolling handle */
   body.menu-unico #header-outer #top nav > ul ul.sub-menu::-webkit-scrollbar-thumb {
      background: #32A5AD;
      border-radius: 30px;
   }
   /*apertura nav finta*/
   body.menu-unico .apro-nav {
      width: 40px;
      height: 40px;
      position: absolute;
      top: 18px;
      right: -2px;
      z-index: 1000000;
      display: block;
      cursor: pointer;
   }

   
   /*quando si scende nella pagina la nav non è più in alto e la top bar scompare
   body.menu-unico #header-outer:not(.at-top) #top nav.nav-attiva {
      top: 34px !important;
   }*/
   body.menu-unico #header-outer:not(.at-top) {
      transform:none !important;
   }
}

@media(min-width:999px) and (max-width:1250px) {
   /*ai sottomenu aperti di sottomenu aperti si sballano i valori, li devo riannullare*/
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > li.par-attivo > ul {
       right: -28px !important;
   }
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > li > ul,
   body.menu-unico #header-outer #top nav > ul > li.par-attivo > ul.sub-menu > li.par-attivo > ul {
       top: calc(19px - var(--from-top)) !important;
   }
}



@media(min-width:1251px) {
   body.menu-unico nav i.apri-menu {
      display: none;
   } 
   /*body.menu-unico #header-outer:not([style*="top: 0px"]) #top nav > ul.buttons .secondary-header-items {
      display: none;
   }*/
   body.menu-unico #header-outer #top nav > ul.buttons .secondary-header-items {
      display: none !important;
   }

   body #header-outer #top nav > ul li.hide-menu-desktop {
      display: none !important;
   }
}
/*sistemo containers*/
body.menu-unico #header-outer #top nav.nav-attiva {
   padding-right: 16px
}
@media (min-width:691px) and (max-width:1024px) {
   body.menu-unico #header-outer #top nav.nav-attiva {
      padding-right: 38px;
   }
   /*body.menu-unico #header-outer.side-widget-open + #search-outer #search {
      width: calc((100% - 40px) - 24px) !important;
   } sposto sotto*/
}
@media (min-width:691px) and (max-width:999px) {
   body.menu-unico #header-outer.side-widget-open + #search-outer #search {
      width: calc((100% - 40px) - 24px) !important;
   }
}
@media(min-width:1025px) {
   body.menu-unico #header-outer #top nav.nav-attiva {
      padding-right: 64px;
   }
   /*body.menu-unico #header-outer.side-widget-open + #search-outer #search {
      width: calc((100% - 40px) - 46px) !important;
   } sposto sotto*/
}
@media(min-width:1000px) {
   body.menu-unico #header-outer.side-widget-open + #search-outer #search {
      width: calc((100% - 40px) - 46px) !important;
   }
}


@media(max-width:1250px) and (max-height:650px) {
   body.menu-unico #header-outer #top nav > ul li > .sf-with-ul, 
   body.menu-unico #header-outer #top nav > ul li > a {
      padding-top: 6px !important;
      padding-bottom: 6px !important;
   }
   body.menu-unico #header-outer #top nav > ul, 
   body.menu-unico #header-outer #top nav > ul ul.sub-menu {
      top: calc(var(--from-top) - 20px) !important;
   }
   /*body.menu-unico #header-outer.side-widget-open + #search-outer {
      top: 52px !important;
   } sposto sotto*/
   
   body.menu-unico .buttons.sf-menu .widget_trz_widget_btn {
      margin-bottom: 8px;
   }
}
@media(max-width:999px) and (max-height:650px) {
   body.menu-unico #header-outer.side-widget-open + #search-outer {
      top: 52px !important;
   }
}


/*ADMINS*/
@media(max-width:1250px){
   body.menu-unico.admin-bar #header-outer #top nav.nav-attiva {
       top: 38px !important;
   }
   /*body.menu-unico.admin-bar #header-outer.side-widget-open + #search-outer {
       top: 106px !important;
   } sposto soto*/
}
@media(max-width:999px){
   body.menu-unico.admin-bar #header-outer.side-widget-open + #search-outer {
       top: 106px !important;
   } 
}
/* @media(max-width:1250px) and (max-height:650px){   */
@media(max-width:999px) and (max-height:650px){   
   body.menu-unico.admin-bar #header-outer.side-widget-open + #search-outer {
       top: 92px !important;
   } 
}


@media(max-width:1250px){
/*debug colori
   body.menu-unico.logged-in.is-dev #header-outer #top nav {
      background: orange;
   }
   body.menu-unico.logged-in.is-dev #header-outer #top nav > ul {
      background: #cedfd4;
      border: 1px dashed red;
      border-radius:10px;
   }
   body.menu-unico.logged-in.is-dev #header-outer #top nav > ul li {
      border: 1px solid violet;
   }
   body.menu-unico.logged-in.is-dev #header-outer #top nav > ul li > .apri-menu {
      border: 1px solid gray;
   }
   
   body.menu-unico.logged-in.is-dev #header-outer #top nav > ul{
      background-color: #eecfe8 !important;
   }
   body.menu-unico.logged-in.is-dev #header-outer #top nav > ul > li > ul.sub-menu {
      background-color: #c3e2d4 !important;
   }
   body.menu-unico.logged-in.is-dev #header-outer #top nav > ul > li > ul > li > ul.sub-menu {
      background-color: #e7d9bb !important;
   }
   body.menu-unico.logged-in.is-dev #header-outer #top nav > ul > li > ul > li ul > li > ul.sub-menu {
      background-color: #cfe1ee !important;
   }
   
   body.menu-unico.logged-in.is-dev #header-outer.side-widget-open + #search-outer {
      background: yellow !important;
   }   
   body.menu-unico.logged-in.is-dev #header-outer #top .slide-out-widget-area-toggle a .lines:after {
      background-color: lime !important;
   }   
   
   body.menu-unico.logged-in.is-dev ul.sub-menu span.sezione-menu {
      background: orange;
   }
   body.menu-unico.logged-in.is-dev ul.sub-menu span.sezione-pre-menu {
      background: red;
   }
   
   body.menu-unico.logged-in.is-dev #header-outer:not([style*="top: 0px"]).side-widget-open + #search-outer {
      display:none !important;
   }  
   /**/
}
